interactions:
- request:
    body: '{"messages": [{"role": "user", "content": "What is the temperature in San
      Francisco?"}], "stream": true, "tool_choice": "auto", "tools": [{"function":
      {"name": "get_current_temperature", "description": "Get the current temperature
      in a city.", "parameters": {"type": "object", "properties": {"city": {"type":
      "string", "description": "The name of the city to get the temperature for."}},
      "required": ["city"]}}, "type": "function"}], "stream_options": {"include_usage":
      true}}'
    headers:
      Accept:
      - application/json
      Connection:
      - keep-alive
      Content-Length:
      - '476'
      Content-Type:
      - application/json
      User-Agent:
      - X-USER-AGENT-XXX
      accept-encoding:
      - ACCEPT-ENCODING-XXX
      api-key:
      - X-API-KEY-XXX
      authorization:
      - AUTHORIZATION-XXX
      extra-parameters:
      - pass-through
      x-ms-client-request-id:
      - X-MS-CLIENT-REQUEST-ID-XXX
    method: POST
    uri: https://fake-azure-endpoint.openai.azure.com/openai/deployments/gpt-4o-mini/chat/completions?api-version=2024-12-01-preview
  response:
    body:
      string: 'data: {"choices":[],"created":0,"id":"","model":"","object":"","prompt_filter_results":[{"prompt_index":0,"content_filter_results":{"hate":{"filtered":false,"severity":"safe"},"jailbreak":{"filtered":false,"detected":false},"self_harm":{"filtered":false,"severity":"safe"},"sexual":{"filtered":false,"severity":"safe"},"violence":{"filtered":false,"severity":"safe"}}}]}


        data: {"choices":[{"content_filter_results":{},"delta":{"content":null,"refusal":null,"role":"assistant","tool_calls":[{"function":{"arguments":"","name":"get_current_temperature"},"id":"call_A6XpaIHt5uNwiDqVxyvKoXMa","index":0,"type":"function"}]},"finish_reason":null,"index":0,"logprobs":null}],"created":1769122114,"id":"chatcmpl-D0xlayLMAku0tnv2zs461w2JwoFVC","model":"gpt-4o-mini-2024-07-18","obfuscation":"A","object":"chat.completion.chunk","system_fingerprint":"fp_f97eff32c5","usage":null}


        data: {"choices":[{"content_filter_results":{},"delta":{"tool_calls":[{"function":{"arguments":"{\""},"index":0}]},"finish_reason":null,"index":0,"logprobs":null}],"created":1769122114,"id":"chatcmpl-D0xlayLMAku0tnv2zs461w2JwoFVC","model":"gpt-4o-mini-2024-07-18","obfuscation":"8qOy2YD","object":"chat.completion.chunk","system_fingerprint":"fp_f97eff32c5","usage":null}


        data: {"choices":[{"content_filter_results":{},"delta":{"tool_calls":[{"function":{"arguments":"city"},"index":0}]},"finish_reason":null,"index":0,"logprobs":null}],"created":1769122114,"id":"chatcmpl-D0xlayLMAku0tnv2zs461w2JwoFVC","model":"gpt-4o-mini-2024-07-18","obfuscation":"ZTHKbl","object":"chat.completion.chunk","system_fingerprint":"fp_f97eff32c5","usage":null}


        data: {"choices":[{"content_filter_results":{},"delta":{"tool_calls":[{"function":{"arguments":"\":\""},"index":0}]},"finish_reason":null,"index":0,"logprobs":null}],"created":1769122114,"id":"chatcmpl-D0xlayLMAku0tnv2zs461w2JwoFVC","model":"gpt-4o-mini-2024-07-18","obfuscation":"0yJTN","object":"chat.completion.chunk","system_fingerprint":"fp_f97eff32c5","usage":null}


        data: {"choices":[{"content_filter_results":{},"delta":{"tool_calls":[{"function":{"arguments":"San"},"index":0}]},"finish_reason":null,"index":0,"logprobs":null}],"created":1769122114,"id":"chatcmpl-D0xlayLMAku0tnv2zs461w2JwoFVC","model":"gpt-4o-mini-2024-07-18","obfuscation":"yKnA8ua","object":"chat.completion.chunk","system_fingerprint":"fp_f97eff32c5","usage":null}


        data: {"choices":[{"content_filter_results":{},"delta":{"tool_calls":[{"function":{"arguments":"
        Francisco"},"index":0}]},"finish_reason":null,"index":0,"logprobs":null}],"created":1769122114,"id":"chatcmpl-D0xlayLMAku0tnv2zs461w2JwoFVC","model":"gpt-4o-mini-2024-07-18","obfuscation":"","object":"chat.completion.chunk","system_fingerprint":"fp_f97eff32c5","usage":null}


        data: {"choices":[{"content_filter_results":{},"delta":{"tool_calls":[{"function":{"arguments":"\"}"},"index":0}]},"finish_reason":null,"index":0,"logprobs":null}],"created":1769122114,"id":"chatcmpl-D0xlayLMAku0tnv2zs461w2JwoFVC","model":"gpt-4o-mini-2024-07-18","obfuscation":"JNSWY0b","object":"chat.completion.chunk","system_fingerprint":"fp_f97eff32c5","usage":null}


        data: {"choices":[{"content_filter_results":{},"delta":{},"finish_reason":"tool_calls","index":0,"logprobs":null}],"created":1769122114,"id":"chatcmpl-D0xlayLMAku0tnv2zs461w2JwoFVC","model":"gpt-4o-mini-2024-07-18","obfuscation":"hgeAuJM6","object":"chat.completion.chunk","system_fingerprint":"fp_f97eff32c5","usage":null}


        data: {"choices":[],"created":1769122114,"id":"chatcmpl-D0xlayLMAku0tnv2zs461w2JwoFVC","model":"gpt-4o-mini-2024-07-18","obfuscation":"gBl","object":"chat.completion.chunk","system_fingerprint":"fp_f97eff32c5","usage":{"completion_tokens":17,"completion_tokens_details":{"accepted_prediction_tokens":0,"audio_tokens":0,"reasoning_tokens":0,"rejected_prediction_tokens":0},"prompt_tokens":66,"prompt_tokens_details":{"audio_tokens":0,"cached_tokens":0},"total_tokens":83}}


        data: [DONE]


        '
    headers:
      Content-Type:
      - text/event-stream; charset=utf-8
      Date:
      - Thu, 22 Jan 2026 22:48:34 GMT
      Strict-Transport-Security:
      - STS-XXX
      Transfer-Encoding:
      - chunked
      apim-request-id:
      - APIM-REQUEST-ID-XXX
      azureml-model-session:
      - AZUREML-MODEL-SESSION-XXX
      x-accel-buffering:
      - 'no'
      x-content-type-options:
      - X-CONTENT-TYPE-XXX
      x-ms-client-request-id:
      - X-MS-CLIENT-REQUEST-ID-XXX
      x-ms-deployment-name:
      - gpt-4o-mini
      x-ms-rai-invoked:
      - 'true'
      x-ms-region:
      - X-MS-REGION-XXX
      x-ratelimit-limit-requests:
      - X-RATELIMIT-LIMIT-REQUESTS-XXX
      x-ratelimit-limit-tokens:
      - X-RATELIMIT-LIMIT-TOKENS-XXX
      x-ratelimit-remaining-requests:
      - X-RATELIMIT-REMAINING-REQUESTS-XXX
      x-ratelimit-remaining-tokens:
      - X-RATELIMIT-REMAINING-TOKENS-XXX
      x-request-id:
      - X-REQUEST-ID-XXX
    status:
      code: 200
      message: OK
version: 1
